System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.EventArgs

A event is raised when the data in an changes.

The property indicates the index of the item that was added, changed, or deleted. If an item was moved, the property indicates the new location of the item and the property indicates the old location.

If only one item is affected by a change, the property value is -1.

Provides data for the event.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor can be used only if the schema of the object has changed.

  The parameter should be , , or .

  Initializes a new instance of the class given the type of change and the affected.

  A value indicating the type of change.
  The that was added, removed, or changed.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Use this constructor if only one item is affected by a change. In this case, the property is set to -1.

  Initializes a new instance of the class given the type of change and the index of the affected item.

  A value indicating the type of change.
  The index of the item that was added, changed, or removed.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class given the type of change, the index of the affected item, and a describing the affected item.

  A value indicating the type of change.
  The index of the item that was added or changed.
  The describing the item.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class given the type of change and the old and new index of the item that was moved.

  A value indicating the type of change.
  The new index of the item that was moved.
  The old index of the item that was moved.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListChangedType To be added: an object of type 'ListChangedType' To be added

  Gets the type of change.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  For items that have been moved, this property represents the new location of the item.

  Gets the index of the item affected by the change.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the old index of an item that has been moved.

- Property
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptor To be added. To be added.

  Gets the that was added, changed, or deleted.